### Function

# Handy ComboRowGetEnumValueNameFunc

#### Declaration

    gchar*
    (* HdyComboRowGetEnumValueNameFunc) (
      HdyEnumValueObject* value,
      gpointer user_data
    )

#### Description [src]

Callback for getting the name of a row from an enum.

Called for combo rows that are bound to an enumeration with `hdy_combo_row_set_for_enum()` for each value from that enumeration.

See also: `hdy_enum_value_row_name()`.

Available since: | 1.0

#### Parameters

`value` | `HdyEnumValueObject`
| The value from the enum from which to get a name.
| The data is owned by the caller of the function.
`user_data` | `gpointer`
| User data.
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gchar*`
| A displayable name that represents `value`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.